[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.BeginAutoDrag

Re-implements the auto-drag behavior for forms.

## Declaration

Source position: forms.pp line 681

`protected procedure TCustomForm.BeginAutoDrag; override;`

## Description

BeginAutoDrag is an overridden method in TCustomForm which re-implements the auto-drag and dock behavior for form instances. It allows form dragging only if it is docked (HostDockSite is assigned) to a site where a DockManager is not used (UseDockManager is False). It does not call the inherited method.

## See also

TControl.HostDockSite |  | The host site (TWinControl) into which this control is docked. Nil if not docked.
TWinControl.UseDockManager |  | Determines whether a DockManager is used for this DockSite.